Subject: bug#10162: [PATCH] 24.0.91; rcirc autojoin broken (freenode/oftc) when rcirc-authenticate-before-join is set

From: Noam Postavsky <[email-masked]>
Date: Wed, 05 Jun 2019 20:34:32 -0400

tags 10162 fixed
close 10162 27.1
quit

Steve Scott <[email-masked]> writes:

> The "Otherwise" comment refers to the 3rd case:
> if auto-authenticate is set but no authinfo is specified we just join
> the channels.

Ah right, I was misreading the nested conditionals.  Anyway, I think
this all makes sense so I pushed to master.

cd3221ab0f 2019-06-05T20:30:23-04:00 "Check rcirc-server for auto authentication (Bug#10162)"
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=cd3221ab0f8dbde584a76c2648cc9029e63bd8d1

> I'm not sure authenticate-before-join is even necessary. I would
> recommend authenticating before joining be the way it works but that's
> probably a separate discussion.

Yeah, I kind of agree, but removing options is always a tough sell.